Page MenuHomePhabricator

Fix login for specific user account in Phabricator (Meno25; unverified due to defunct email address)
Closed, ResolvedPublic

Event Timeline

Josve05a created this task.May 17 2015, 5:30 PM
Josve05a raised the priority of this task from to Needs Triage.
Josve05a updated the task description. (Show Details)
Josve05a added a project: Phabricator.
Josve05a added subscribers: Josve05a, chasemp, Meno25.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 17 2015, 5:30 PM

It doesn't appear to have been used, why don't we just change the email on it to match the email on the attached MediaWiki account?

Josve05a added a comment.EditedMay 17 2015, 5:50 PM

@Krenair:
"[...] it is OK for me if the email address of the account was changed. --Meno25 (talk) 17:47, 17 May 2015 (UTC)"
from the link in the description.

Hmm, we normally don't just delete user accounts...
Furthermore, noone else can change a user's email address.
Even though not verified, could @Meno25 log in via Wikimedia's SUL and access https://phabricator.wikimedia.org/settings/panel/email/ to change the email address and add a new one?

Furthermore, noone else can change a user's email address.

I doubt that - someone must have database access.

someone must have database access.

OK, you can do via an SQL command. What I should have written instead: The web interface does not allow Phabricator admins to change a user's email address (while e.g. Bugzilla allowed it).

Josve05a updated the task description. (Show Details)May 20 2015, 9:07 AM
Josve05a set Security to None.

@Aklapper @Krenair: He can't. can't. It gives him the response "Must Verify Email".

Instead of deleting I went for renaming the existing user account from @Meno25 to @Menodisabled (and disabled that account).

I hope that now @Meno25 can create a new Phab account as @Meno25 again, with a valid email address to verify. But as @Menodisabled is still tied to the MediaWiki User account Meno25 I am not entirely sure. If it does not work, I'm willing to completely delete the account.


For the records, Phabricator's printed info for renaming accounts is pretty similar to that for deleting:
"Be careful when renaming users! The old username will no longer be tied to the user, so anything which uses it (like old commit messages) will no longer associate correctly. (And, if you give a user a username which some other user used to have, username lookups will begin returning the wrong user.) It is generally safe to rename newly created users (and test users and so on), but less safe to rename established users and unsafe to reissue a username. Users who rely on password authentication will need to reset their password after their username is changed (their username is part of the salt in the password hash). The user will receive an email notifying them that you changed their username, with instructions for logging in and resetting their password if necessary."

Aklapper triaged this task as Medium priority.Jun 11 2015, 11:48 PM
Restricted Application added a subscriber: scfc. · View Herald TranscriptJun 15 2015, 8:19 AM

Asked Meno25 to try again in https://en.wikipedia.org/wiki/User_talk:AKlapper_%28WMF%29#Phabricator now that T102276 has been worked around by Mukunda

Seeing some folks who could hopefully delete the user @Menodisabled in Phab via shell access (as I myself cannot do that yet)...

(I tried renaming the account in Phab but does not help as the MediaWiki SUL account is of course still connected to the renamed account in Phab)

Aklapper renamed this task from Delete specific user account in Phabricator (Meno25) to Delete specific user account in Phabricator (Menodisabled).Jun 18 2015, 4:30 PM
Aklapper removed Aklapper as the assignee of this task.

@Aklapper: there is a command in phabricator/bin to force verify and account. I think deleting or force verifying are better choices than rename+disable. At least in this case. Should I try renaming it back and forcing the verification?

@mmodell: Uh, I wasn't aware at all about forcing verification. Darrn, thanks a lot for telling me! :)
Yeah, renaming from @Menodisabled to @Meno25 and forcing verification makes a lot more sense.

It's part of the phabricator/bin/auth tool.

Ok I can't verify without knowing the email address, it doesn't let me input the account name only.

Alright, I've asked Meno25 to provide the email address they used for registration in Phab.

Aklapper renamed this task from Delete specific user account in Phabricator (Menodisabled) to Fix login for specific user account in Phabricator (Meno25; unverified due to defunct email address).Jun 19 2015, 11:29 AM

@mmodell: Did you receive Meno25's email address?

I did. I'm sorry I forgot to do this over the weekend (I was on vacation until today. I'll get it fixed right away)

This should be fixed but I'm waiting for confirmation.

I can login now normally. Thank you, all, for your hard work.

mmodell closed this task as Resolved.Jun 24 2015, 11:18 AM
mmodell claimed this task.